Bug 49180 - Add option to disable log rotation in FileHandler.
Add option to disable log rotation in FileHandler.
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
trunk
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-04-24 13:34 UTC by Pid
Modified: 2011-04-18 10:07 UTC (History)
0 users



Attachments
Disables log rotation in Tomcat's JULI FileHandler (1.69 KB, patch)
2010-04-24 13:36 UTC, Pid
Details | Diff
2011-04-02_tc6_49180.patch (2.41 KB, patch)
2011-04-02 16:29 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pid 2010-04-24 13:34:58 UTC
Small enhancement to FileHandler.java which allow susers to disable log rotation by setting the .rotation attribute to "false".
Comment 1 Pid 2010-04-24 13:36:09 UTC
Created attachment 25344 [details]
Disables log rotation in Tomcat's JULI FileHandler
Comment 2 Tim Funk 2010-11-01 11:54:56 UTC
applied change via http://svn.apache.org/viewvc?rev=1029719&view=rev
Comment 3 Konstantin Kolinko 2011-04-02 16:29:30 UTC
Created attachment 26844 [details]
2011-04-02_tc6_49180.patch

Patch for Tomcat 6.0.
It is r1029719 + JavaDoc update.
Comment 4 Mark Thomas 2011-04-18 10:07:33 UTC
Fixed in 6.0.x and will be included in 6.0.33 onwards.